Bug 217555 - Memory leak in libresolv fix
Memory leak in libresolv fix
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 11:36 EST by Vladislav Bogdanov
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 12:13:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch itself (10.32 KB, text/plain)
2006-11-28 11:36 EST, Vladislav Bogdanov
no flags Details
Corrected patch (now compiles) (10.71 KB, patch)
2006-11-28 15:45 EST, Vladislav Bogdanov
no flags Details | Diff
(Hopefully) Final version. Now it really builds correctly. (10.64 KB, patch)
2006-11-28 17:38 EST, Vladislav Bogdanov
no flags Details | Diff

  None (edit)
Description Vladislav Bogdanov 2006-11-28 11:36:54 EST
Description of problem:

libresolve leaks memory

Patch attached (based on CVS commits of Ulrich Drepper 31.10.2005 - 1.11.2005) -
http://sources.redhat.com/ml/glibc-cvs/2005-q4/


Additional info:
discussed in thread http://sourceware.org/ml/libc-alpha/2005-10/msg00059.html
Comment 1 Vladislav Bogdanov 2006-11-28 11:36:57 EST
Created attachment 142303 [details]
patch itself
Comment 2 Vladislav Bogdanov 2006-11-28 15:45:53 EST
Created attachment 142326 [details]
Corrected patch (now compiles)

Sorry, forgot to include <stdbool.h> where needed.
Comment 3 Vladislav Bogdanov 2006-11-28 17:38:40 EST
Created attachment 142337 [details]
(Hopefully) Final version. Now it really builds correctly.

Ups, sorry, missed second commit to res_init.c.

Now, I have build process finished, and I am waiting for rpms to be built in
next two hours. I hope now leak should be really fixed.
Comment 4 Jakub Jelinek 2006-12-13 12:13:34 EST
This is too risky this late in RHEL3 release cycle and there is a workaround
available.  E.g. addition of __res_iclose@@GLIBC_PRIVATE will cause failures
during upgrades for system daemons that are started before the upgrade and dlopen
libresolv after glibc upgrade (e.g. as part of gethostby* or getaddrinfo call).

Note You need to log in before you can comment on or make changes to this bug.